/**
 * Created by ztt on 2019/4/7.
 */
export declare class NumberUtils {
    static isNumber(num: any): boolean;
    /**
     * 随机生成一组整数值
     * @param max：最大值，默认为10
     * @param min：最小值，默认为0
     * @param number：个数，默认为1
     */
    static randomInt({ max, min, number }?: {
        max?: number | undefined;
        min?: number | undefined;
        number?: number | undefined;
    }): number | Array<number>;
    /**
     * 随机生成一组Float类型的数值
     * @param max：最大值，默认为10
     * @param min：最小值，默认为0
     * @param number：个数，默认为1
     * @param scale：个数，默认为2
     */
    static randomFloat({ max, min, number, scale }?: {
        max?: number | undefined;
        min?: number | undefined;
        number?: number | undefined;
        scale?: number | undefined;
    }): number | Array<number>;
    /**
     * 将数字转人民币大写
     * @param num
     * @returns {string}
     */
    static numberToChinese(num: any): string;
    /**
     * 将阿拉伯数字转中文表示方式
     * @param Num
     * @returns {any}
     */
    static changeToChinese(Num: any): string;
}
//# sourceMappingURL=number-utils.d.ts.map