/**
 * Created by ztt on 2019/4/7.
 */
export declare class RegexpUtils {
    static identityCard: RegExp;
    static chineseRegx: RegExp;
    static mac: RegExp;
    static url: RegExp;
    static mobile: RegExp;
    static email: RegExp;
    static matchChinese(str: any): any;
    static isIdentityCard(str: any): boolean;
    static isChinese(str: any): boolean;
    static isMac(str: any): boolean;
    static isUrl(str: any): boolean;
    static isMobile(str: any): boolean;
    static isEmail(str: any): boolean;
    /**
     * 是否为小数
     * @param str
     * @param min
     * @param max
     * isDecimal
     */
    static isNumber(str: any, { max, min, maxScale, minScale, scale }?: {
        max?: number | undefined;
        min?: number | undefined;
        maxScale?: number | undefined;
        minScale?: number | undefined;
        scale?: number | undefined;
    }): boolean;
    static isInteger(str: any): boolean;
    static byteLength(str: any, { maxLength, minLength }?: {
        maxLength?: number | undefined;
        minLength?: number | undefined;
    }): boolean;
    /**
     * 去除全部空格
     * @param str
     */
    static trim(str?: string): string;
    /**
     * 去除前后空格
     * @param str
     */
    static trimAround(str?: string): string;
    /**
     * 首字母大写
     * @param str
     */
    static upperCaseFirst(str: any): any;
    /**
     * 首字母小写
     * @param str
     */
    static lowerCaseFirst(str: any): any;
    static lowerCamelCase(str: any): any;
}
//# sourceMappingURL=regexp-utils.d.ts.map